# ETableClickToAdd

## Name

ETableClickToAdd --

## Synopsis

    #define     E_TABLE_CLICK_TO_ADD_TYPE
    typedef     ETableClickToAdd;
    void        e_table_click_to_add_commit     (ETableClickToAdd *etcta);

## Object Hierarchy

      GtkObject
       +----GnomeCanvasItem
             +----GnomeCanvasGroup
                   +----ETableClickToAdd

## Properties

      "header"               GtkObject             : Read / Write
      "model"                GtkObject             : Read / Write
      "message"              gchar*                : Read / Write
      "width"                gdouble               : Read / Write
      "height"               gdouble               : Read

## Signal Prototypes

    "cursor-change"
                void        user_function      (ETableClickToAdd *etableclicktoadd,
                                                gint arg1,
                                                gint arg2,
                                                gpointer user_data);

## Description

## Details

### E_TABLE_CLICK_TO_ADD_TYPE

    #define E_TABLE_CLICK_TO_ADD_TYPE        (e_table_click_to_add_get_type ())

### ETableClickToAdd

    typedef struct {
    	GnomeCanvasGroup  parent;

    	ETableModel      *one;    /* The ETableOne. */

    	ETableModel      *model;  /* The backend model. */
    	ETableHeader     *eth;    /* This is just to give to the ETableItem. */

    	char             *message;

    	GnomeCanvasItem  *row;    /* If row is NULL, we're sitting with no data and a "Click here" message. */
    	GnomeCanvasItem  *text;   /* If text is NULL, row shouldn't be. */
    	GnomeCanvasItem  *rect;   /* What the heck.  Why not. */

    	gdouble           width;
    	gdouble           height;

    	ETableSelectionModel *selection;
    } ETableClickToAdd;

### e_table_click_to_add_commit ()

    void        e_table_click_to_add_commit     (ETableClickToAdd *etcta);

This routine commits the current thing being edited and returns to just displaying the click to add message.

`etcta` : | The `ETableClickToAdd` to commit.

## Properties

### The "`header`" property

      "header"               GtkObject             : Read / Write

### The "`model`" property

      "model"                GtkObject             : Read / Write

### The "`message`" property

      "message"              gchar*                : Read / Write

### The "`width`" property

      "width"                gdouble               : Read / Write

### The "`height`" property

      "height"               gdouble               : Read

## Signals

### The "cursor-change" signal

    void        user_function                  (ETableClickToAdd *etableclicktoadd,
                                                gint arg1,
                                                gint arg2,
                                                gpointer user_data);

`etableclicktoadd` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.